/************************************************************************

Licensed Materials - Property of IBM

IBM Surveillance Insights for Financial Services

© Copyright IBM Corp. 2017

US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

************************************************************************/
var metadata={
    alert:{}
};

$(document).ready(function(){
    setTimeout( function(){ 
    // Do something after 1 second 
    metadata.initDtObj();
}  , 500 );
});

metadata.initDtObj = function(){
    console.log("init data");
    metadata.alert=cmnFunc.getQueryParameters();
    let urlref=cmnlocDetails.alertOvrSrvc+metadata.alert.alertid;
     let objRef={
        type:"GET",
        url:urlref,
        dataType:"json",
        ref:metadata,
        func:"createBar"
    };
     cmnAsync.asynccall(objRef);
};

metadata.createBar = function(obj){
    // console.log(obj);
    // element to place data into 
    var container = $('.row.brdChl1').children().eq(1);
    console.log(container);
    
    // Alert Details 
    this.alertDetails(obj, container);
    
    // Involved Employees
    // tdRef2 = cmnFunc.createDmNode({node:"td",attr:[{node:"class",value:"alrtStlftCont"}],appendTo:container});	
    // metadata.involvEmp(obj,container);


}

metadata.alertDetails=function(obj,idref){
        let details=[{node:"Date Added",value:obj.alert.date},
                     {node:"Asset Class",value:obj.alert.assetclass},
                     {node:"Ticker",value:obj.alert.ticker},
                     {node:"Involved Employees",value:obj.alert.involvedparties},
                     {node:"Assigned",value:obj.alert.assigned}];
                     
		let nodeRef=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"w100"}],appendTo:idref});

        for(let index=0;index<details.length;index++){
            let dt,pNdde,vNdde;
            dt=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"alrtSdiv"}],appendTo:nodeRef});                     
            pNdde=cmnFunc.createDmNode({node:"p",attr:[{node:"class",value:"alrtShdr"}],"html":details[index].node,appendTo:dt});
            if (details[index].node==="Involved Employees"){
                this.involvEmp(obj,dt);
            }
            else{
                vNdde=cmnFunc.createDmNode({node:"p",attr:[{node:"class",value:"alrtStxt"}],"html":details[index].value,appendTo:dt});    
            } 
        }
}



metadata.redirectEmployeePage=function(params){
	let urlparams = cmnFunc.getQueryParameters();
	window.location.href = cmnlocDetails.partial_homefolder+"involvedemployees/index.html?alertid="+urlparams.alertid+"&partyid="+params.currentTarget.getAttribute("data-id");
}
metadata.involvEmp=function(objdt,idref){
    let obj,nodeRef;
    obj=objdt.alert.involvedparties;	
	
	
    nodeRef=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"involvedparties"}],appendTo:idref});
    for(let index=0;index<obj.length;index++){
        let person,textRef;
        person=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"alrtStxt"},
        {node:"data-id",value:obj[index].partyid}],"html":obj[index].partyname,appendTo:nodeRef});
		cmnFunc.addEventListeners({node:person,listener:"click",ref:metadata,func:"redirectEmployeePage",params:this});
        // cmnFunc.createDmNode({node:"figcaption",attr:[{node:"class",value:"alrtusrFigCap"}],"html":obj[index].partyname,appendTo:figure});
    }    
}

