const tradeDetail = {
    tGraphdObj: {},
    tGraph: {},
    treport: {}

};
$(document).ready(function() {
    cmnFunc.localeStr({ ref: tradeDetail, func: "initDtObj" });
});

/*******tradeDetail Starts Here *************/
tradeDetail.genTooltip = function(t, d) {
    let k = Object.keys(d),
        len = k.length,
        div = cmnFunc.createDmNode({ node: "div", attr: [{ node: "class", value: "clearfix" }] }),
        dl = cmnFunc.createDmNode({ node: "ul", attr: [{ node: "class", value: "tooltipData" }], appendTo: div });
    for (let i = 0; i < len; i++) {
        let ke = k[i],
            dd, dt, li;
        if (ke == "date") {
            continue;
        }
        li = cmnFunc.createDmNode({ node: "li", attr: [{ node: "class", value: "listGrp clearfix" }], appendTo: dl });
        dt = cmnFunc.createDmNode({ node: "span", attr: [{ node: "class", value: "spnHdr" }], html: ke + ":", appendTo: li });
        dd = cmnFunc.createDmNode({
            node: "span",
            attr: [{ node: "class", value: "spnVal" }],
            html: (isNaN(d[ke])) ? d[ke] : parseFloat(d[ke]).toFixed(3),
            appendTo: li
        });
    }
    t.tooldiv.html(div.html()).transition().duration(2).style("opacity", 1);
    t.tooldiv.style("left", (d3.event.pageX) + "px").style("top", (d3.event.pageY - 30) + "px");
}
tradeDetail.cnstrctMdl = function() {
    let d = {};
    if ($("#tradeModal").length > 0) {
        $("#tradeModal").remove();
    }
    d.modal = cmnFunc.createDmNode({ node: "div", attr: [{ node: "class", value: "modal" }, { node: "id", value: "tradeModal" }], appendTo: $("body") });
    $("#tradeModal").dialog({
        autoOpen: false,
        modal: true,
        width: "auto"
    });
    // d.cont=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"modal-content"}],appendTo:d.modal});
    // d.close=cmnFunc.createDmNode({node:"span",attr:[{node:"class",value:"mdlClose"}],html:"&times;",appendTo:d.cont});
    // d.header=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"mdlHdr"}],appendTo:d.cont});
    // d.plcCntr=cmnFunc.createDmNode({node:"div",attr:[{node:"class",value:"mdl-subCntr"}],appendTo:d.cont});
    // cmnFunc.addEventListeners({
    //     node: d.close,
    //     listener: "click",
    //     func:function(){
    //       d.modal.remove();
    //     }
    // });
    // d.show=function(){
    //   $(d.modal).css("display","block");
    // }

    return d;
}
tradeDetail.initEvts = function() {
    $("#lnkTrsDtl").on("click", function(evt) {
        let d = tradeDetail.cnstrctMdl();
        let t = tradeDetail.constructDetailTable(d.modal);
        //evt.target.dataset.ref;
        $("#tradeModal").dialog("option", "title", evt.target.dataset.ref);
        tradeDetail.showDetailedTransactionReports(tradeDetail.treport.data.transactionDetails, { tbl: "customTbl", pg: "pagintDtl" });
        $("#tradeModal").dialog("open");


    });

    $("#lnkTrdrDtl").on("click", function(evt) {
        let d = tradeDetail.cnstrctMdl();
        let t = tradeDetail.constructDetailTable(d.modal);
        tradeDetail.showDetailedTraderReports(tradeDetail.treport.data.traderDetails, { tbl: "customTbl", pg: "pagintDtl" });
        $("#tradeModal").dialog("option", "title", evt.target.dataset.ref);
        $("#tradeModal").dialog("open");

    });
    $("#lnkTrsHisDtl").on("click", function(evt) {
        let d = tradeDetail.cnstrctMdl();
        let t = tradeDetail.constructDetailTable(d.modal);
        tradeDetail.showDetailedTraderHistoryReports(tradeDetail.treport.data.traderHistory, { tbl: "customTbl", pg: "pagintDtl" });
        $("#tradeModal").dialog("option", "title", evt.target.dataset.ref);
        $("#tradeModal").dialog("open");

    });

}
tradeDetail.initDtObj = function(data, l) {
    let t = tradeDetail;
    t.lc = data;
    autoHeader.generate('mnuTradeDetail');
    t.initEvts();
    t.fillLocData(data);
    t.genGraph();
    t.getShrtTableDtls();
    //Fix for screenshot issue
    $(".backLinkBtn").addClass("bckScreenFix");
}
tradeDetail.fillLocData = function(d) {
    let obj = $.parseJSON(sessionStorage.getItem('alertMetaData'));
    let c = [{ id: "vwDetail", txt: d.viewDetails }, { id: "acctdtls", txt: d.acctdtls },
            { id: "transdtls", txt: d.transdtls }, { id: "trdAlrtDtls", txt: d.trdAlrtDtls }
        ],
        s = [{ id: "alrtCmntCntr", txt: d.nrecordavl }, { id: "chartTitle", txt: obj.alert.type }];
    for (let i = 0; i < s.length; i++) {
        cmnFunc.fillIdNode(s[i]);
    }
    for (let i = 0; i < c.length; i++) {
        cmnFunc.fillClassNode(c[i]);
    }

}
tradeDetail.genGraph = function() {
    /**created this warp function in future in order to process any data this can be used**/
    let t = tradeDetail,
        strItem = JSON.parse(sessionStorage.getItem('alertMetaData'));
    t.initGraph(strItem.alert.type.toLowerCase());
    if (strItem.alert.type.toLowerCase() == 'off-market') {
        let template = "<span class='key key_norecord'><span class='circ'></span>" +
            "<span class='circTxt' id='noscore'>DEAL RATE ANOMALY</span></span>";
        $("#lgndCntr").html(template);
    }
}
tradeDetail.dataGenerator = function(item) {
    let t = tradeDetail,
        objRef, qData = cmnFunc.getQueryParameters(),
        srcUrl;
    srcUrl = cmnlocDetails.service + "/tradeservice/tradechart/" + qData.alertid;
    objRef = {
        type: "GET",
        url: srcUrl,
        dataType: "json",
        ref: t,
        func: "dataProcessor",
        params: item
    };
    cmnAsync.asynccall(objRef);
}
tradeDetail.dataProcessor = function(dt, item) {
    if (dt.status && dt.status != 200) {
        let j = JSON.parse(dt.responseText);
        $("#tradeChrt").html(cmnFunc.createDmNode({ node: "dl", attr: [{ node: "class", value: "norecord" }], html: j.message }));
        return false;
    }
    if (Object.keys(dt).length == 0) {
        $("#tradeChrt").html(cmnFunc.createDmNode({ node: "dl", attr: [{ node: "class", value: "norecord" }], html: "No Recods Available." }));
        return false;
    }
    tradeDetail.spoofingDataGraph(dt);



}
tradeDetail.spoofingDataGraph = function(dt) {
    let t = tradeDetail.tGraph,
        data = [],
        mrktPrice, trArrow = [],
        trLen = dt["tradeevidence"].length;
    mrktPrice = dt["marketdata-price"].length;
    for (let i = 0; i < mrktPrice; i++) {
        let o = {},
            mp = dt["marketdata-price"][i],
            v = dt["marketdata"][i];
        o.date = new Date(mp.datetime),
            o.dateTime = mp.datetime,
            o.high = +mp.high,
            o.low = +mp.low,
            o.spread = +v.price,
            o.volume = +v.volume,
            o.open = +mp.open,
            o.close = +mp.close;
        o.price = +mp.midpoint;
        data.push(o);
    }
    for (let i = 0; i < trLen; i++) {
        let tr = {},
            o = dt["tradeevidence"][i];
        tr.date = new Date(o.datetime);
        tr.volume = +o.tradevolume;
        tr.evidenceType = o.evidenceType;
        tr.type = o.type;
        tr.price = +o.tradeprice;
        trArrow.push(tr);
    }
    t.tradeArrow = trArrow;
    t.data = data;
    tradeDetail.spoofingDomain(t);
}
tradeDetail.spoofingDomain = function(t) {
    let tData = d3.extent(t.data, function(d) { return +d.volume; });
    let pData = d3.extent(t.data, function(d) { return +d.price; });
    tData[1] = tData[1] * 1.1;
   // pData[1] = pData[1] * 1.1;
    t.rangeX.domain(d3.extent(t.data, function(d) { return d.date; }));
    t.rangeY.domain(pData);
    t.rangeVolumeY.domain(tData);
    t.rangebrX.domain(t.rangeX.domain());
    t.rangebrY.domain(t.rangeY.domain());
    tradeDetail.brush(t);
    tradeDetail.spoofingCnstrctGrpah(t);

}
tradeDetail.brush = function(t) {
    t.brush = d3.brushX()
        .extent([
            [0, 0],
            [t.width - t.margin.left, t.brHeight]
        ])
        .on("brush end", function() { t.brushed(); });

    t.zoom = d3.zoom()
        .scaleExtent([1, Infinity])
        .translateExtent([
            [0, 0],
            [t.width, t.height]
        ])
        .extent([
            [0, 0],
            [t.width, t.height]
        ])
        .on("zoom", t.zoomed);
    t.brushed = function() {
        if (d3.event.sourceEvent && d3.event.sourceEvent.type === "zoom") return; // ignore brush-by-zoom
        var s = d3.event.selection || t.rangebrX.range();
        t.rangeX.domain(s.map(t.rangebrX.invert, t.rangebrX));
        t.focus.select(".line").attr("d", t.line);

        tradeDetail.constructVolume(t);
        tradeDetail.tradeEvidence(t);
        t.focus.select(".axis-x").call(d3.axisBottom(t.rangeX));
        t.svg.select(".zoom").call(t.zoom.transform, d3.zoomIdentity
            .scale(t.width / (s[1] - s[0]))
            .translate(-s[0], 0));
    }

    t.zoomed = function() {
        if (d3.event.sourceEvent && d3.event.sourceEvent.type === "brush") return; // ignore zoom-by-brush
        var tr = d3.event.transform;
        t.rangeX.domain(tr.rescaleX(t.rangebrX).domain());
        t.focus.select(".line").attr("d", t.line);
        t.focus.select(".axis-x").call(d3.axisBottom(t.rangeX));
        t.context.select(".brush").call(t.brush.move, t.rangeX.range().map(tr.invertX, tr));
    }

}
tradeDetail.updateTextVal = function(d, t) {
    let a = t.valArray;
    len = a.length
    for (let i = 0; i < len; i++) {
        let v = a[i];
        if (v.format != null || v.format != undefined) {
            let val = v.format.call(this, d[v.ref]);
            d3.select("#" + v.val).text(v.name + ":" + val);
        } else {
            d3.select("#" + v.val).text(v.name + ":" + d[v.ref]);
        }

    }

}
tradeDetail.warnLine = function(t) {
    // focus tracking
    t.warnLine = { lineValue: 200, label: 'my important threshold' };
    t.valArray = [{ name: "Date", val: "ordate", ref: "dateTime" },
        { name: "Midpoint", val: "orprice", ref: "price", format: function(d) { return parseFloat(d).toFixed(3); } },
        { name: "Volume", val: "orvolume", ref: "volume", format: function(d) { return parseFloat(d).toFixed(3); } },
        { name: "High", val: "orhigh", ref: "high", format: function(d) { return parseFloat(d).toFixed(3); } },
        { name: "Low", val: "orlow", ref: "low", format: function(d) { return parseFloat(d).toFixed(3); } }
    ];
    var focus = t.focus.append('g').style('display', 'none');
    t.bisectDate = d3.bisector(function(d) { return d.date; }).left;
    xDomain = d3.extent(t.data, function(d) { return d.date; })
    yDomain = d3.extent(t.data, function(d) { return +d.price; });
    focus.append('line')
        .attr('id', 'focusLineX')
        .attr('class', 'focusLine');
    focus.append('line')
        .attr('id', 'focusLineY')
        .attr('class', 'focusLine');
    focus.append('circle')
        .attr('id', 'focusCircle')
        .attr('r', 5)
        .attr('class', 'circle focusCircle');
    var text = t.svg.append("g").attr("transform", "translate(" + t.margin.left + "," + 30 + ")").style('display', 'none');
    text.selectAll("text").data(t.valArray).enter().append("text").attr("class", "valText")
        .attr("x", function(d, i) {
            if (i == 0) {
                return 0;
            }
            if (i == 2) {
                return i * 150;
            }
            return (i * 150) + 50;
        }).attr("y", function(d, i) {
            return 5;
        }).text(function(d, i) {
            return d.name;
        }).attr("id", function(d, i) {
            return d.val;
        });
    t.focus.append("g").append('rect')
        .attr('class', 'overlay')
        .attr('width', t.width)
        .attr('height', t.height)
        .on('mouseover', function() {
            focus.style('display', null);
            text.style('display', null);
        })
        .on('mouseout', function() {
            focus.style('display', 'none');
            text.style('display', 'none');
        })
        .on('mousemove', function() {
            var mouse = d3.mouse(this);
            var mouseDate = t.rangeX.invert(mouse[0]);
            var i = t.bisectDate(t.data, mouseDate); // returns the index to the current data item

            var d0 = t.data[i - 1];
            var d1 = t.data[i];
            // work out which date value is closest to the mouse
            var d = mouseDate - d0.date > d1.date - mouseDate ? d1 : d0;
            tradeDetail.updateTextVal(d, t);
            var x = t.rangeX(d.date);
            var y = t.rangeY(d.price);
            focus.select('#focusLineX')
                .attr('x1', x).attr('y1', t.height)
                .attr('x2', x).attr('y2', 0);
            focus.select('#focusLineY')
                .attr('x1', t.rangeX(xDomain[0])).attr('y1', y)
                .attr('x2', t.rangeX(xDomain[1])).attr('y2', y);
            focus.select('#focusCircle')
                .attr('cx', x)
                .attr('cy', y);
        });

    // warn line


}
tradeDetail.spoofingCnstrctGrpah = function(t) {
    t.g = t.svg.append("g")
        .attr("transform",
            "translate(" + t.margin.left + "," + t.margin.top + ")");
    t.g.append("defs").append("clipPath")
        .attr("id", "clip")
        .append("rect")
        .attr("width", t.width - t.margin.left)
        .attr("height", t.height + 20);

    t.focus = t.g.append("g").attr("clip-path", "url(#clip)")
        .attr("class", "focus")
        .attr("transform", "translate(" + 0 + "," + 0 + ")");

    t.context = t.g.append("g")
        .attr("class", "context")
        .attr("transform", "translate(" + 0 + "," + (parseInt(t.brMargin.top) - 10) + ")");
    tradeDetail.constructVolume(t);
    tradeDetail.priceLine(t);
    tradeDetail.tradeEvidence(t);
    tradeDetail.constructAxis(t);
    // g.append("rect")
    // .attr("class", "zoom")
    // .attr("width", t.width)
    // .attr("height", t.height)
    // .attr("transform", "translate(" + 0 + "," + 0 + ")")
    // .call(t.zoom);
    t.context.append("g").attr("clipPath", "#clip")
        .attr("class", "brush")
        .call(t.brush)
        .call(t.brush.move, [0, 0]);
}
tradeDetail.constructVolume = function(t) {
    t.focus.selectAll("g.data").remove();
    t.focus.append("g").attr("class", "data").selectAll("rect")
        .data(t.data).enter().append('rect')
        .attr("class", "volume")
        .attr("x", function(d) { return t.rangeX(d.date); })
        .attr("y", function(d) { return t.rangeVolumeY(d.volume); })
        .attr("width", 4)
        .attr("fill", "#1E37FF")
        .attr("height", function(d) { return t.height - t.rangeVolumeY(d.volume); });

}
tradeDetail.priceLine = function(t) {
    t.focus.append("g").append("path")
        .data([t.data])
        .attr("class", "line")
        .attr("d", t.line).attr("data-legend", function(d) { return "Price" })
        .style("stroke", "rgb(31, 119, 180)");
    t.context.append("g").append("path")
        .data([t.data])
        .attr("class", "line")
        .attr("d", t.line2).attr("data-legend", function(d) { return "Price" })
        .style("stroke", "rgb(31, 119, 180)");
}
tradeDetail.tradeEvidence = function(t) {

    t.focus.selectAll("g.tradeCnt").remove();
    t.focus.append("g").attr("class", "tradeCnt").selectAll(".offCircle")
        .data(t.tradeArrow).enter().append("circle").attr("class", "offCircle")
        .attr("cx", function(d) {
            return t.rangeX(d.date);
        }).attr("class", "offCircle").attr("cy", function(d) {
            return t.rangeY(d.price);
        }).attr("r", function(d) {
            return 10;
        }).on("mouseover", function(d) {
            tradeDetail.genTooltip(t, d);
        })
        .on("mouseout", function(d) {
            t.tooldiv.style("opacity", "0");
        }).attr("fill", "green");
}
tradeDetail.constructAxis = function(t) {
    let dateObj = [];
    t.focus.append("g").attr("class", "axis-x")
        .attr("transform", "translate(0," + t.height + ")")
        .call(d3.axisBottom(t.rangeX));
    t.context.append("g").attr("class", "axis-x")
        .attr("transform", "translate(0," + t.brHeight + ")")
        .call(d3.axisBottom(t.rangebrX));

    t.g.append("g").attr("class", "axVolume").attr("transform", "translate(" + (t.width - t.margin.left) + ", 0 )")
        .call(d3.axisRight(t.rangeVolumeY).ticks(10, "s"));

    // var update = g.selectAll(".datapoints")
    //     .data(filtered[0].values);

    // var enter = update.enter().append("g")
    //     .attr("class", "datapoints");

    // update.each(function(d, i) {
    //     //code here
    // });

    // enter.each(function(d, i) {
    //     //same code here
    // });

    t.g.selectAll("g.axVolume  g.tick").each(function(index, value) {
        if (dateObj.length == 0) {
            dateObj.push($(this)[0].childNodes[1].innerHTML);
        } else {
            if ($.inArray($(this)[0].childNodes[1].innerHTML, dateObj) != -1) {
                $(this).attr("opacity", "0");
            } else {
                dateObj.push($(this)[0].childNodes[1].innerHTML);
            }
        }
    });
    t.g.append("g")
        .call(d3.axisLeft(t.rangeY));
    tradeDetail.warnLine(t);
    tradeDetail.spoofTextGen(t);
}
tradeDetail.spoofTextGen = function(t) {
    let g = t.svg;
    g.append("g")
        .attr("transform", "translate(" + ("-" + (t.margin.left)) + "," + 200 + ")").append("text")
        .attr("transform", "rotate(-90)")
        .attr("y", 0)
        .attr("x", 0)
        .attr("dy", "1em")
        .style("text-anchor", "middle")
        .text("Price ($)");
    g.append("g")
        .attr("transform",
            "translate(" + (t.width / 2) + " ," +
            (t.height + t.margin.top + t.margin.bottom) + ")").append("text")
        .style("text-anchor", "middle")
        .text("Time");
    g.append("g")
        .attr("transform",
            "translate(" + (t.width) + " ," +
            (t.height + 20) + ")").append("text").attr("transform", "rotate(-90)")
        .attr("y", 180)
        .attr("x", 0)
        .style("text-anchor", "middle")
        .text("Volume");


}
tradeDetail.initGraph = function(item) {
    let t = tradeDetail.tGraph;
    t.margin = { top: 50, right: 40, bottom: 100, left: 30 },
        t.brMargin = { top: 440, right: 40, bottom: 70, left: 30 },
        t.width = $("#tradeChrt").width() - t.margin.left - t.margin.right,
        t.height = 560 - t.margin.top - t.margin.bottom,
        t.brHeight = 560 - t.brMargin.top - t.brMargin.bottom;
    t.svg = d3.select("#tradeChrt").append("svg")
        .attr("width", t.width + t.margin.left + t.margin.right)
        .attr("height", t.height + t.margin.top + t.margin.bottom)
        .attr("viewBox", "0 0" + " " + t.width + " 560")
        .attr("preserveAspectRatio", "xMidYMid meet");
    t.tooldiv = d3.select("body").append("div")
        .attr("class", "svgtip")
        .style("opacity", 0);


    t.timeParser = d3.timeParse("%Y-%m-%dT%H:%M:%S");
    t.line = d3.line()
        .x(function(d) {
            return t.rangeX(d.date);
        })
        .y(function(d) {
            return t.rangeY(d.price);
        });
    t.line2 = d3.line()
        .x(function(d) {
            return t.rangebrX(d.date);
        })
        .y(function(d) {
            return t.rangebrY(d.price);
        });
    t.volume = d3.line()
        .x(function(d) { return t.rangeX(d.date); })
        .y(function(d) { return t.rangeVolumeY(d.volume); });
    tradeDetail.spoofRangeAxisConstruct(t);
    tradeDetail.dataGenerator(item);

}
tradeDetail.spoofRangeAxisConstruct = function(t) {
    t.rangeX = d3.scaleTime().range([0, t.width - t.margin.left]);
    t.rangeY = d3.scaleLinear().range([t.height, 0]);
    t.rangeVolumeY = d3.scaleLinear().range([t.height, 200]);
    t.rangeVolumebrY = d3.scaleLinear().range([t.brHeight, t.brHeight - 5]);
    t.rangebrY = d3.scaleLinear().range([t.brHeight, 0]);
    t.rangebrX = d3.scaleTime().range([0, t.width - t.margin.left]);
}


tradeDetail.getShrtTableDtls = function() {
    let t = tradeDetail,
        objChrtRef, qData = cmnFunc.getQueryParameters(),
        srcUrl,
        strItem = JSON.parse(sessionStorage.getItem('alertMetaData'));
    // if(strItem.alert.type.toLowerCase()=="spoofing"){
    // 	//Dev url
    // 	srcUrl=cmnlocDetails.partial_homefolder+"/json/SpoofingReport.json";
    // }else{
    // 	srcUrl=cmnlocDetails.partial_homefolder+"/json/reports.json";
    // }
    //prod url
    srcUrl = cmnlocDetails.service + "/tradeservice/tradereport/" + qData.alertid;

    objChrtRef = {
        type: "GET",
        url: srcUrl,
        dataType: "json",
        ref: tradeDetail,
        func: "genTableDtls"
    };
    cmnAsync.asynccall(objChrtRef);
}
tradeDetail.genTableDtls = function(data) {
    if (data.status && data.status != 200) {
        let j = JSON.parse(data.responseText);
        $("#smTableHldr").html(cmnFunc.createDmNode({ node: "dl", attr: [{ node: "class", value: "norecord" }], html: j.message }));
        return false;
    }
    if (Object.keys(data).length == 0) {
        $("#smTableHldr").html(cmnFunc.createDmNode({ node: "dl", attr: [{ node: "class", value: "norecord" }], html: "No Recods Available." }));
        return false;
    }
    let d = data.alert;
    tradeDetail.treport.data = $.extend(true, {}, data.alert);
    tradeDetail.showTraderDetails(d.traderDetails.splice(0, 3));
    tradeDetail.showTransactionDetails(d.transactionDetails.splice(0, 3));
    tradeDetail.showTraderHistoryDetails(d.traderHistory.splice(0, 3));
}

tradeDetail.constructDetailTable = function(d) {
    let tbr = {};
    tbr.h = cmnFunc.createDmNode({ node: "div", attr: [{ node: "class", value: "transdtls" }], appendTo: d });
    tbr.header = cmnFunc.createDmNode({ node: "div", attr: [{ node: "class", value: "titles" }], appendTo: tbr.h });
    tbr.table = cmnFunc.createDmNode({ node: "table", attr: [{ node: "class", value: "tblSpllay table table-fixed" }, { node: "id", value: "customTbl" }], appendTo: tbr.h });
    tbr.pgDiv = cmnFunc.createDmNode({ node: "div", attr: [{ node: "class", value: "clearfix" }], appendTo: tbr.h });
    tbr.ul = cmnFunc.createDmNode({ node: "ul", attr: [{ node: "class", value: "pagination pull-right" }, { node: "id", value: "pagintDtl" }], appendTo: tbr.pgDiv });
    return tbr;

}
tradeDetail.showTraderDetails = function(trader) {
    let l = tradeDetail.lc,
        obj;
    obj = {
        tblId: 'transDtlsTbl',
        dataObj: trader,
        tblObj: {
            headerObj: [{
                field: l.id,
                sortFld: {
                    dataType: "numeric",
                    field: "traderid",
                    func: function(dt) {
                        return parseInt(dt);
                    }
                }
            }, {
                field: l.name,
                sortFld: {
                    field: "traderName"
                }
            }, {
                field: l.contact,
                sortFld: {
                    field: "contactNumber"
                }
            }],
            tbdyobj: [{
                field: "traderid"
            }, {
                field: "traderName"
            }, {
                field: "contactNumber"
            }]
        }
    }
    tableFunc.create(obj);
}
tradeDetail.showTransactionDetails = function(transaction) {
    let l = tradeDetail.lc,
        obj, strItem = JSON.parse(sessionStorage.getItem('alertMetaData'));
    if (strItem.alert.type.toLowerCase() != "spoofing" && strItem.alert.type.toLowerCase() != "frontrunning") {
        obj = {
            tblId: 'trdDtlsTbl',
            dataObj: transaction,
            tblObj: {
                headerObj: [{
                    field: l.id,
                    sortFld: {
                        field: "transactionNumber"
                    }
                }, {
                    field: l.date,
                    sortFld: {
                        dataType: "numeric",
                        field: "valueDate",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: l.counterPrty,
                    sortFld: {
                        field: "counterPartyName"
                    }
                }],
                tbdyobj: [{
                    field: "transactionNumber"
                }, {
                    field: "valueDate",
                    format: function(fld, data) {
                        if (data != "" && data != null && data != undefined) {
                            fld.html(data.substr(0, 10));
                        }
                        return fld;
                    }
                }, {
                    field: "counterPartyName"
                }]
            }
        }
    } else {
        obj = {
            tblId: 'trdDtlsTbl',
            dataObj: transaction,
            tblObj: {
                headerObj: [{
                    field: l.id,
                    sortFld: {
                        field: "traderid"
                    }
                }, {
                    field: "Order Id",
                    sortFld: {
                        field: "id"
                    }
                }, {
                    field: l.date,
                    sortFld: {
                        dataType: "numeric",
                        field: "date",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: "Transaction type",
                    sortFld: {
                        field: "transactiontype"
                    }
                }],
                tbdyobj: [{
                    field: "traderid"
                }, {
                    field: "id"
                }, {
                    field: "date",
                    format: function(fld, data) {
                        if (data != "" && data != null && data != undefined) {
                            fld.html(data.substr(0, 10));
                        }
                        return fld;
                    }
                }, {
                    field: "transactiontype"
                }]
            }
        }
    }

    tableFunc.create(obj);
}
tradeDetail.showTraderHistoryDetails = function(traderhistory) {
    let l = tradeDetail.lc,
        obj;
    obj = {
        tblId: 'trdHisDtlTbl',
        dataObj: traderhistory,
        tblObj: {
            headerObj: [{
                field: l.id,
                sortFld: {
                    field: "alertid"
                }
            }, {
                field: l.type,
                sortFld: {
                    field: "alertType"
                }
            }, {
                field: l.dateTime,
                sortFld: {
                    dataType: "numeric",
                    field: "alertTime",
                    func: function(dt) {
                        return new Date(dt);
                    }
                }
            }, {
                field: l.outcome,
                sortFld: {
                    field: "alertOutcome"
                }
            }],
            tbdyobj: [{
                field: "alertid"
            }, {
                field: "alertType"
            }, {
                field: "alertTime",
            }, {
                field: "alertOutcome"
            }]
        }
    };
    tableFunc.create(obj);
}
tradeDetail.showDetailedTraderReports = function(trader, o) {
    let l = tradeDetail.lc,
        obj = {
            tblId: o.tbl,
            pagination: {
                node: o.pg,
                'recPerPg': 10
            },
            dataObj: trader,
            tblObj: {
                headerObj: [{
                    field: l.id
                }, {
                    field: l.name,
                    sortFld: {
                        field: "traderName"
                    }
                }, {
                    field: l.contact,
                    sortFld: {
                        field: "contactNumber"
                    }
                }, {
                    field: l.desk,
                    sortFld: {
                        dataType: "numeric",
                        field: "desk",
                        func: function(dt) {
                            return parseInt(dt);
                        }
                    }
                }, {
                    field: l.location,
                    sortFld: {
                        field: "location"
                    }
                }],
                tbdyobj: [{
                    field: "traderid"
                }, {
                    field: "traderName"
                }, {
                    field: "contactNumber"
                }, {
                    field: "desk"
                }, {
                    field: "location"
                }]
            }
        }
    tableFunc.create(obj);
}
tradeDetail.showDetailedTransactionReports = function(transaction, o) {
    let l = tradeDetail.lc,
        obj, strItem = JSON.parse(sessionStorage.getItem('alertMetaData'));
    if (strItem.alert.type.toLowerCase() != "spoofing" && strItem.alert.type.toLowerCase() != "frontrunning") {
        obj = {
            tblId: o.tbl,
            pagination: {
                node: o.pg,
                'recPerPg': 10
            },
            dataObj: transaction,
            tblObj: {
                headerObj: [{
                    field: l.id,
                    class: "tw10",
                    sortFld: {
                        field: "transactionNumber"
                    }
                }, {
                    field: l.date,
                    class: "tw7",
                    sortFld: {
                        dataType: "numeric",
                        field: "valuedDate",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: l.counterPrty,
                    class: "tw8",
                    sortFld: {
                        field: "counterPartyName"
                    }
                }, {
                    field: l.dealerCode,
                    sortFld: {
                        field: "dealerCode"
                    }
                }, {
                    field: l.dealrate,
                    sortFld: {
                        dataType: "numeric",
                        field: "dealRate",
                        func: function(dt) {
                            return parseInt(dt);
                        }
                    }
                }, {
                    field: l.tradeDt,
                    class: "tw12",
                    sortFld: {
                        dataType: "numeric",
                        field: "tradeDate",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: l.counterPrtyloc,
                    class: "tw13",
                    sortFld: {
                        field: "counterPartyLocation"
                    }
                }, {
                    field: l.sellccy,
                    class: "tw6",
                    sortFld: {
                        field: "sellCCY"
                    }
                }, {
                    field: l.buyccy,
                    class: "tw6",
                    sortFld: {
                        field: "buyCCY"
                    }
                }, {
                    field: l.buyCcyAmount,
                    sortFld: {
                        dataType: "numeric",
                        field: "buyCCYAmount",
                        func: function(dt) {
                            return parseInt(dt);
                        }
                    }
                }, {
                    field: l.sellCcyAmt,
                    sortFld: {
                        dataType: "numeric",
                        field: "sellCCYAmount",
                        func: function(dt) {
                            return parseInt(dt);
                        }
                    }
                }],
                tbdyobj: [{
                    field: "transactionNumber"
                }, {
                    field: "valueDate",
                    format: function(fld, data) {
                        if (data != "" && data != null && data != undefined) {
                            fld.html(data.substr(0, 10));
                        }
                        return fld;
                    }
                }, {
                    field: "counterPartyName"
                }, {
                    field: "dealerCode"
                }, {
                    field: "dealRate"
                }, {
                    field: "tradeDate"
                }, {
                    field: "counterPartyLocation"
                }, {
                    field: "sellCCY"
                }, {
                    field: "buyCCY"
                }, {
                    field: "buyCCYAmount"
                }, {
                    field: "sellCCYAmount"
                }, ]
            }
        }
    } else if (strItem.alert.type.toLowerCase() == "frontrunning") {
        obj = {
            tblId: o.tbl,
            pagination: {
                node: o.pg,
                'recPerPg': 10
            },
            dataObj: transaction,
            tblObj: {
                headerObj: [{
                    field: "ID",
                    sortFld: {
                        field: "traderid"
                    }
                }, {
                    field: "Order Id",
                    sortFld: {
                        field: "id"
                    }
                }, {
                    field: l.date,
                    sortFld: {
                        dataType: "numeric",
                        field: "date",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: "Transaction Type",
                    sortFld: {
                        field: "transactiontype"
                    }
                }, {
                    field: "Ticker",
                    sortFld: {
                        field: "ticker"
                    }
                }, {
                    field: "Sell Price",
                    sortFld: {
                        dataType: "numeric",
                        field: "sellprice",
                        func: function(dt) {
                            return dt;
                        }
                    }
                }, {
                    field: "Buy Price",
                    sortFld: {
                        dataType: "numeric",
                        field: "buyprice",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: "Sell Volume",
                    sortFld: {
                        field: "sellvolume"
                    }
                }, {
                    field: "Buy Volume",
                    sortFld: {
                        field: "buyvolume"
                    }
                }],
                tbdyobj: [{
                    field: "traderid"
                }, {
                    field: "id"
                }, {
                    field: "date",
                    format: function(fld, data) {
                        if (data != "" && data != null && data != undefined) {
                            fld.html(data.substr(0, 10));
                        }
                        return fld;
                    }
                }, {
                    field: "transactiontype"
                }, {
                    field: "ticker"
                }, {
                    field: "sellprice",
                    format: function(fld, data, obj) {
                        fld.html("" + data);
                        return fld;
                    }
                }, {
                    field: "buyprice",
                    format: function(fld, data, obj) {
                        fld.html("" + data);
                        return fld;
                    }
                }, {
                    field: "sellvolume",
                    format: function(fld, data, obj) {
                        fld.html("" + data);
                        return fld;
                    }
                }, {
                    field: "buyvolume",
                    format: function(fld, data, obj) {
                        fld.html("" + data);
                        return fld;
                    }
                }]
            }
        }

    } else {
        obj = {
            tblId: o.tbl,
            pagination: {
                node: o.pg,
                'recPerPg': 10
            },
            dataObj: transaction,
            tblObj: {
                headerObj: [{
                    field: "ID",
                    sortFld: {
                        field: "traderid"
                    }
                }, {
                    field: l.date,
                    sortFld: {
                        dataType: "numeric",
                        field: "date",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: "Transaction Type",
                    sortFld: {
                        field: "transactiontype"
                    }
                }, {
                    field: "Order ID",
                    sortFld: {
                        field: "orderid"
                    }
                }, {
                    field: "Price",
                    sortFld: {
                        dataType: "numeric",
                        field: "Price",
                        func: function(dt) {
                            return parseInt(dt);
                        }
                    }
                }, {
                    field: "Volume",
                    sortFld: {
                        dataType: "numeric",
                        field: "volume",
                        func: function(dt) {
                            return new Date(dt);
                        }
                    }
                }, {
                    field: "Order Type",
                    sortFld: {
                        field: "ordertype"
                    }
                }, {
                    field: "Side",
                    sortFld: {
                        field: "side"
                    }
                }, {
                    field: "Ticker",
                    sortFld: {
                        field: "ticker"
                    }
                }],
                tbdyobj: [{
                    field: "traderid"
                }, {
                    field: "date",
                    format: function(fld, data) {
                        if (data != "" && data != null && data != undefined) {
                            fld.html(data.substr(0, 10));
                        }
                        return fld;
                    }
                }, {
                    field: "transactiontype"
                }, {
                    field: "orderid"
                }, {
                    field: "price"
                }, {
                    field: "volume"
                }, {
                    field: "ordertype"
                }, {
                    field: "side"
                }, {
                    field: "ticker"
                }]
            }
        }
    }
    tableFunc.create(obj);
}
tradeDetail.showDetailedTraderHistoryReports = function(traderhistory, o) {
        let l = tradeDetail.lc,
            obj = {
                tblId: o.tbl,
                pagination: {
                    node: o.pg,
                    'recPerPg': 10
                },
                dataObj: traderhistory,
                tblObj: {
                    headerObj: [{
                        field: l.id,
                        sortFld: {
                            field: "alertid"
                        }
                    }, {
                        field: l.type,
                        sortFld: {
                            field: "alertType"
                        }
                    }, {
                        field: l.dateTime,
                        sortFld: {
                            dataType: "numeric",
                            field: "alertTime",
                            func: function(dt) {
                                return new Date(dt);
                            }
                        }
                    }, {
                        field: l.descrip,
                        sortFld: {
                            field: "alertDesc"
                        }
                    }, {
                        field: l.outcome,
                        sortFld: {
                            field: "alertOutcome"
                        }
                    }],
                    tbdyobj: [{
                        field: "alertid"
                    }, {
                        field: "alertType"
                    }, {
                        field: "alertTime",
                    }, {
                        field: "alertDesc"
                    }, {
                        field: "alertOutcome"
                    }]
                }
            }
        tableFunc.create(obj);
    }
    /*****Table code ends here*************/